<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping>
    <class name="com.arrebol.taxiservicios.model.admin.PersonHasService" table="person_has_service" catalog="crov_spa">
        <composite-id name="id" class="com.arrebol.taxiservicios.model.admin.PersonHasServiceId">
            <key-property name="personId" type="string">
                <column name="person_id" length="36" />
            </key-property>
            <key-property name="serviceId" type="string">
                <column name="service_id" length="36" />
            </key-property>
        </composite-id>
        <many-to-one name="person" class="com.arrebol.taxiservicios.model.core.Person" update="false" insert="false" fetch="select">
            <column name="person_id" length="36" not-null="true" />
        </many-to-one>
        <many-to-one name="service" class="com.arrebol.taxiservicios.model.admin.Service" update="false" insert="false" fetch="select">
            <column name="service_id" length="36" not-null="true" />
        </many-to-one>
    </class>
</hibernate-mapping>